## maliit-framework 0.81.4-maemo0

=== Makefile ===
#############################################################################
# Makefile for building: meego-im-uiserver
# Generated by qmake (2.01a) (Qt 4.7.0) on: Thu Feb 28 19:01:04 2013
# Project:  maliit-framework.pro
# Template: subdirs
# Command: /usr/bin/qmake MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile maliit-framework.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-common \
		sub-connection \
		sub-src \
		sub-passthroughserver \
		sub-maliit \
		sub-gtk-input-context \
		sub-maliit-plugins-quick \
		sub-examples \
		sub-input-context \
		sub-doc

common/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) common/ || $(MKDIR) common/ 
	cd common/ && $(QMAKE) /home/marcin/meecolay/maliit/maliit-framework-0.81.4/common/common.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-common-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) common/ || $(MKDIR) common/ 
	cd common/ && $(QMAKE) /home/marcin/meecolay/maliit/maliit-framework-0.81.4/common/common.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-common: common/$(MAKEFILE) FORCE
	cd common/ && $(MAKE) -f $(MAKEFILE)
sub-common-make_default-ordered: common/$(MAKEFILE) FORCE
	cd common/ && $(MAKE) -f $(MAKEFILE) 
sub-common-make_default: common/$(MAKEFILE) FORCE
	cd common/ && $(MAKE) -f $(MAKEFILE) 
sub-common-make_first-ordered: common/$(MAKEFILE) FORCE
	cd common/ && $(MAKE) -f $(MAKEFILE) first
sub-common-make_first: common/$(MAKEFILE) FORCE
	cd common/ && $(MAKE) -f $(MAKEFILE) first
sub-common-all-ordered: common/$(MAKEFILE) FORCE
	cd common/ && $(MAKE) -f $(MAKEFILE) all
sub-common-all: common/$(MAKEFILE) FORCE
	cd common/ && $(MAKE) -f $(MAKEFILE) all
sub-common-clean-ordered: common/$(MAKEFILE) FORCE
	cd common/ && $(MAKE) -f $(MAKEFILE) clean
sub-common-clean: common/$(MAKEFILE) FORCE
	cd common/ && $(MAKE) -f $(MAKEFILE) clean
sub-common-distclean-ordered: common/$(MAKEFILE) FORCE
	cd common/ && $(MAKE) -f $(MAKEFILE) distclean
sub-common-distclean: common/$(MAKEFILE) FORCE
	cd common/ && $(MAKE) -f $(MAKEFILE) distclean
sub-common-install_subtargets-ordered: common/$(MAKEFILE) FORCE
	cd common/ && $(MAKE) -f $(MAKEFILE) install
sub-common-install_subtargets: common/$(MAKEFILE) FORCE
	cd common/ && $(MAKE) -f $(MAKEFILE) install
sub-common-uninstall_subtargets-ordered: common/$(MAKEFILE) FORCE
	cd common/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-common-uninstall_subtargets: common/$(MAKEFILE) FORCE
	cd common/ && $(MAKE) -f $(MAKEFILE) uninstall
connection/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) connection/ || $(MKDIR) connection/ 
	cd connection/ && $(QMAKE) /home/marcin/meecolay/maliit/maliit-framework-0.81.4/connection/connection.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-connection-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) connection/ || $(MKDIR) connection/ 
	cd connection/ && $(QMAKE) /home/marcin/meecolay/maliit/maliit-framework-0.81.4/connection/connection.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-connection: connection/$(MAKEFILE) FORCE
	cd connection/ && $(MAKE) -f $(MAKEFILE)
sub-connection-make_default-ordered: connection/$(MAKEFILE) sub-common-make_default-ordered  FORCE
	cd connection/ && $(MAKE) -f $(MAKEFILE) 
sub-connection-make_default: connection/$(MAKEFILE) FORCE
	cd connection/ && $(MAKE) -f $(MAKEFILE) 
sub-connection-make_first-ordered: connection/$(MAKEFILE) sub-common-make_first-ordered  FORCE
	cd connection/ && $(MAKE) -f $(MAKEFILE) first
sub-connection-make_first: connection/$(MAKEFILE) FORCE
	cd connection/ && $(MAKE) -f $(MAKEFILE) first
sub-connection-all-ordered: connection/$(MAKEFILE) sub-common-all-ordered  FORCE
	cd connection/ && $(MAKE) -f $(MAKEFILE) all
sub-connection-all: connection/$(MAKEFILE) FORCE
	cd connection/ && $(MAKE) -f $(MAKEFILE) all
sub-connection-clean-ordered: connection/$(MAKEFILE) sub-common-clean-ordered  FORCE
	cd connection/ && $(MAKE) -f $(MAKEFILE) clean
sub-connection-clean: connection/$(MAKEFILE) FORCE
	cd connection/ && $(MAKE) -f $(MAKEFILE) clean
sub-connection-distclean-ordered: connection/$(MAKEFILE) sub-common-distclean-ordered  FORCE
	cd connection/ && $(MAKE) -f $(MAKEFILE) distclean
sub-connection-distclean: connection/$(MAKEFILE) FORCE
	cd connection/ && $(MAKE) -f $(MAKEFILE) distclean
sub-connection-install_subtargets-ordered: connection/$(MAKEFILE) sub-common-install_subtargets-ordered  FORCE
	cd connection/ && $(MAKE) -f $(MAKEFILE) install
sub-connection-install_subtargets: connection/$(MAKEFILE) FORCE
	cd connection/ && $(MAKE) -f $(MAKEFILE) install
sub-connection-uninstall_subtargets-ordered: connection/$(MAKEFILE) sub-common-uninstall_subtargets-ordered  FORCE
	cd connection/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-connection-uninstall_subtargets: connection/$(MAKEFILE) FORCE
	cd connection/ && $(MAKE) -f $(MAKEFILE) uninstall
src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/marcin/meecolay/maliit/maliit-framework-0.81.4/src/src.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/marcin/meecolay/maliit/maliit-framework-0.81.4/src/src.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default-ordered: src/$(MAKEFILE) sub-connection-make_default-ordered  FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first-ordered: src/$(MAKEFILE) sub-connection-make_first-ordered  FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all-ordered: src/$(MAKEFILE) sub-connection-all-ordered  FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean-ordered: src/$(MAKEFILE) sub-connection-clean-ordered  FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean-ordered: src/$(MAKEFILE) sub-connection-distclean-ordered  FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets-ordered: src/$(MAKEFILE) sub-connection-install_subtargets-ordered  FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets-ordered: src/$(MAKEFILE) sub-connection-uninstall_subtargets-ordered  FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall
passthroughserver/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) passthroughserver/ || $(MKDIR) passthroughserver/ 
	cd passthroughserver/ && $(QMAKE) /home/marcin/meecolay/maliit/maliit-framework-0.81.4/passthroughserver/passthroughserver.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-passthroughserver-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) passthroughserver/ || $(MKDIR) passthroughserver/ 
	cd passthroughserver/ && $(QMAKE) /home/marcin/meecolay/maliit/maliit-framework-0.81.4/passthroughserver/passthroughserver.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-passthroughserver: passthroughserver/$(MAKEFILE) FORCE
	cd passthroughserver/ && $(MAKE) -f $(MAKEFILE)
sub-passthroughserver-make_default-ordered: passthroughserver/$(MAKEFILE) sub-src-make_default-ordered  FORCE
	cd passthroughserver/ && $(MAKE) -f $(MAKEFILE) 
sub-passthroughserver-make_default: passthroughserver/$(MAKEFILE) FORCE
	cd passthroughserver/ && $(MAKE) -f $(MAKEFILE) 
sub-passthroughserver-make_first-ordered: passthroughserver/$(MAKEFILE) sub-src-make_first-ordered  FORCE
	cd passthroughserver/ && $(MAKE) -f $(MAKEFILE) first
sub-passthroughserver-make_first: passthroughserver/$(MAKEFILE) FORCE
	cd passthroughserver/ && $(MAKE) -f $(MAKEFILE) first
sub-passthroughserver-all-ordered: passthroughserver/$(MAKEFILE) sub-src-all-ordered  FORCE
	cd passthroughserver/ && $(MAKE) -f $(MAKEFILE) all
sub-passthroughserver-all: passthroughserver/$(MAKEFILE) FORCE
	cd passthroughserver/ && $(MAKE) -f $(MAKEFILE) all
sub-passthroughserver-clean-ordered: passthroughserver/$(MAKEFILE) sub-src-clean-ordered  FORCE
	cd passthroughserver/ && $(MAKE) -f $(MAKEFILE) clean
sub-passthroughserver-clean: passthroughserver/$(MAKEFILE) FORCE
	cd passthroughserver/ && $(MAKE) -f $(MAKEFILE) clean
sub-passthroughserver-distclean-ordered: passthroughserver/$(MAKEFILE) sub-src-distclean-ordered  FORCE
	cd passthroughserver/ && $(MAKE) -f $(MAKEFILE) distclean
sub-passthroughserver-distclean: passthroughserver/$(MAKEFILE) FORCE
	cd passthroughserver/ && $(MAKE) -f $(MAKEFILE) distclean
sub-passthroughserver-install_subtargets-ordered: passthroughserver/$(MAKEFILE) sub-src-install_subtargets-ordered  FORCE
	cd passthroughserver/ && $(MAKE) -f $(MAKEFILE) install
sub-passthroughserver-install_subtargets: passthroughserver/$(MAKEFILE) FORCE
	cd passthroughserver/ && $(MAKE) -f $(MAKEFILE) install
sub-passthroughserver-uninstall_subtargets-ordered: passthroughserver/$(MAKEFILE) sub-src-uninstall_subtargets-ordered  FORCE
	cd passthroughserver/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-passthroughserver-uninstall_subtargets: passthroughserver/$(MAKEFILE) FORCE
	cd passthroughserver/ && $(MAKE) -f $(MAKEFILE) uninstall
maliit/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) maliit/ || $(MKDIR) maliit/ 
	cd maliit/ && $(QMAKE) /home/marcin/meecolay/maliit/maliit-framework-0.81.4/maliit/maliit.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-maliit-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) maliit/ || $(MKDIR) maliit/

=== common/Makefile ===
#############################################################################
# Makefile for building: libmaliit-common.a
# Generated by qmake (2.01a) (Qt 4.7.4) on: Sun Apr 21 12:59:28 2013
# Project:  common.pro
# Template: lib
# Command: /usr/bin/qmake MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile common.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DM_IM_PLUGINS_DIR=\"/usr/lib/maliit/plugins-0.80\" -DM_IM_PLUGINS_DATA_DIR=\"/usr/share/maliit/plugins\" -DM_IM_FACTORY_PLUGINS_DIR=\"/usr/lib/maliit/plugins-0.80/factories\" -DMALIIT_EXTENSIONS_DIR=\"/usr/share/maliit-framework-1.0/extensions/\" -DMALIIT_TEST_PLUGINS_DIR=\"/usr/lib/maliit-framework-tests/plugins\" -DMALIIT_CONFIG_ROOT=\"/maliit/\" -DMALIIT_FRAMEWORK_USE_INTERNAL_API -DQT_NO_DEBUG -DQT_NO_KEYWORDS -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -fno-omit-frame-pointer -fno-optimize-sibling-calls -fPIC -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -fno-omit-frame-pointer -fno-optimize-sibling-calls -fPIC -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/fremantle/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/fremantle/usr/include/QtCore -I/targets/fremantle/usr/include/QtGui -I/targets/fremantle/usr/include -I/usr/X11R6/include -I.moc
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       =  
OBJECTS       = 
DIST          = /targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf \
		../defines.pri \
		../config.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/static.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		common.pro
QMAKE_TARGET  = maliit-common
DESTDIR       = 
TARGET        = libmaliit-common.a

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET) 

staticlib: $(TARGET)

$(TARGET):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS)


Makefile: common.pro  /targets/fremantle/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf \
		../defines.pri \
		../config.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/static.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile common.pro
/targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf:
/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf:
/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri:
/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf:
../defines.pri:
../config.pri:
/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/staticlib.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/static.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile common.pro

dist: 
	@$(CHK_DIR_EXISTS) .obj/maliit-common1.0.0 || $(MKDIR) .obj/maliit-common1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .obj/maliit-common1.0.0/ && $(COPY_FILE) --parents minputmethodnamespace.h maliit/namespace.h maliit/namespaceinternal.h .obj/maliit-common1.0.0/ && (cd `dirname .obj/maliit-common1.0.0` && $(TAR) maliit-common1.0.0.tar maliit-common1.0.0 && $(COMPRESS) maliit-common1.0.0.tar) && $(MOVE) `dirname .obj/maliit-common1.0.0`/maliit-common1.0.0.tar.gz . && $(DEL_FILE) -r .obj/maliit-common1.0.0


clean:compiler_clean 
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 

####### Compile

####### Install

install_headers: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/include/maliit/plugins-0.80/ || $(MKDIR) $(INSTALL_ROOT)/usr/include/maliit/plugins-0.80/ 
	-$(INSTALL_FILE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/common/minputmethodnamespace.h $(INSTALL_ROOT)/usr/include/maliit/plugins-0.80/


uninstall_headers:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/include/maliit/plugins-0.80/minputmethodnamespace.h
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/include/maliit/plugins-0.80/ 


install_frameworkheaders: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/include/maliit/framework-0.80/maliit/ || $(MKDIR) $(INSTALL_ROOT)/usr/include/maliit/framework-0.80/maliit/ 
	-$(INSTALL_FILE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/common/maliit/namespace.h $(INSTALL_ROOT)/usr/include/maliit/framework-0.80/maliit/


uninstall_frameworkheaders:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/include/maliit/framework-0.80/maliit/namespace.h
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/include/maliit/framework-0.80/maliit/ 


install_install_pkgconfig: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/pkgconfig/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/pkgconfig/ 
	-$(INSTALL_FILE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/common/maliit-framework-0.80.pc $(INSTALL_ROOT)/usr/lib/pkgconfig/


uninstall_install_pkgconfig:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/lib/pkgconfig/maliit-framework-0.80.pc
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/pkgconfig/ 


install:  install_headers install_frameworkheaders install_install_pkgconfig  FORCE

uninstall: uninstall_headers uninstall_frameworkheaders uninstall_install_pkgconfig   FORCE

FORCE:

=== connection/Makefile ===
#############################################################################
# Makefile for building: libmaliit-connection.a
# Generated by qmake (2.01a) (Qt 4.7.4) on: Sun Apr 21 12:59:28 2013
# Project:  connection.pro
# Template: lib
# Command: /usr/bin/qmake MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile connection.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DM_IM_PLUGINS_DIR=\"/usr/lib/maliit/plugins-0.80\" -DM_IM_PLUGINS_DATA_DIR=\"/usr/share/maliit/plugins\" -DM_IM_FACTORY_PLUGINS_DIR=\"/usr/lib/maliit/plugins-0.80/factories\" -DMALIIT_EXTENSIONS_DIR=\"/usr/share/maliit-framework-1.0/extensions/\" -DMALIIT_TEST_PLUGINS_DIR=\"/usr/lib/maliit-framework-tests/plugins\" -DMALIIT_CONFIG_ROOT=\"/maliit/\" -DMALIIT_FRAMEWORK_USE_INTERNAL_API -DQT_NO_DEBUG -DQT_NO_KEYWORDS -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -fno-omit-frame-pointer -fno-optimize-sibling-calls -fPIC -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -fno-omit-frame-pointer -fno-optimize-sibling-calls -fPIC -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/fremantle/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/fremantle/usr/include/QtCore -I/targets/fremantle/usr/include/QtGui -I/targets/fremantle/usr/include/QtDBus -I/targets/fremantle/usr/include -I../common -I.moc -I/usr/X11R6/include
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       = mimserverconnection.cpp \
		minputcontextconnection.cpp \
		variantmarshalling.cpp \
		mdbusglibinputcontextadaptor.cpp \
		glibdbusimserverproxy.cpp \
		inputcontextdbusaddress.cpp \
		minputcontextglibdbusconnection.cpp \
		serverdbusaddress.cpp .moc/moc_mimserverconnection.cpp \
		.moc/moc_minputcontextconnection.cpp \
		.moc/moc_glibdbusimserverproxy.cpp \
		.moc/moc_minputcontextglibdbusconnection.cpp \
		.moc/moc_serverdbusaddress.cpp
OBJECTS       = .obj/mimserverconnection.o \
		.obj/minputcontextconnection.o \
		.obj/variantmarshalling.o \
		.obj/mdbusglibinputcontextadaptor.o \
		.obj/glibdbusimserverproxy.o \
		.obj/inputcontextdbusaddress.o \
		.obj/minputcontextglibdbusconnection.o \
		.obj/serverdbusaddress.o \
		.obj/moc_mimserverconnection.o \
		.obj/moc_minputcontextconnection.o \
		.obj/moc_glibdbusimserverproxy.o \
		.obj/moc_minputcontextglibdbusconnection.o \
		.obj/moc_serverdbusaddress.o
DIST          = /targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf \
		../defines.pri \
		../config.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qdbus.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/static.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		connection.pro
QMAKE_TARGET  = maliit-connection
DESTDIR       = 
TARGET        = libmaliit-connection.a

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET) 

staticlib: $(TARGET)

$(TARGET):  $(OBJECTS) $(OBJCOMP) ../common/libmaliit-common.a
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS)


Makefile: connection.pro  /targets/fremantle/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf \
		../defines.pri \
		../config.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qdbus.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/static.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile connection.pro
/targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf:
/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf:
/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri:
/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf:
../defines.pri:
../config.pri:
/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/qdbus.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/staticlib.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/static.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile connection.pro

dist: 
	@$(CHK_DIR_EXISTS) .obj/maliit-connection0.1.0 || $(MKDIR) .obj/maliit-connection0.1.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .obj/maliit-connection0.1.0/ && $(COPY_FILE) --parents mimserverconnection.h minputcontextconnection.h variantmarshalling.h mdbusglibinputcontextadaptor.h glibdbusimserverproxy.h inputcontextdbusaddress.h minputcontextglibdbusconnection.h serverdbusaddress.h .obj/maliit-connection0.1.0/ && $(COPY_FILE) --parents mimserverconnection.cpp minputcontextconnection.cpp variantmarshalling.cpp mdbusglibinputcontextadaptor.cpp glibdbusimserverproxy.cpp inputcontextdbusaddress.cpp minputcontextglibdbusconnection.cpp serverdbusaddress.cpp .obj/maliit-connection0.1.0/ && (cd `dirname .obj/maliit-connection0.1.0` && $(TAR) maliit-connection0.1.0.tar maliit-connection0.1.0 && $(COMPRESS) maliit-connection0.1.0.tar) && $(MOVE) `dirname .obj/maliit-connection0.1.0`/maliit-connection0.1.0.tar.gz . && $(DEL_FILE) -r .obj/maliit-connection0.1.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


/home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/connection/mdbusglibicconnectionserviceglue.h: /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/connection/minputmethodserver1interface.xml

=== doc/Makefile ===
#############################################################################
# Makefile for building: libdummy.so
# Generated by qmake (2.01a) (Qt 4.7.0) on: Thu Feb 28 19:01:04 2013
# Project:  doc.pro
# Template: lib
# Command: /usr/bin/qmake MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile doc.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DM_IM_PLUGINS_DIR=\"/usr/lib/maliit/plugins-0.80\" -DM_IM_PLUGINS_DATA_DIR=\"/usr/share/maliit/plugins\" -DM_IM_FACTORY_PLUGINS_DIR=\"/usr/lib/maliit/plugins-0.80/factories\" -DMALIIT_EXTENSIONS_DIR=\"/usr/share/maliit-framework-1.0/extensions/\" -DMALIIT_TEST_PLUGINS_DIR=\"/usr/lib/maliit-framework-tests/plugins\" -DMALIIT_CONFIG_ROOT=\"/maliit/\" -DMALIIT_FRAMEWORK_USE_INTERNAL_API -DQT_NO_DEBUG -DQT_NO_KEYWORDS -DQT_PLUGIN -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/fremantle/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/fremantle/usr/include/QtCore -I/targets/fremantle/usr/include/QtGui -I/targets/fremantle/usr/include -I/usr/X11R6/include -I/home/marcin/meecolay/maliit/maliit-framework-0.81.4/doc/.moc
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed -shared
LIBS          = $(SUBLIBS)  -L/usr/X11R6/lib -L/usr/lib -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread -lXext -lX11 -lm
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       =  
OBJECTS       = 
DIST          = /targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf \
		../defines.pri \
		../config.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		doc.pro
QMAKE_TARGET  = dummy
DESTDIR       = 
TARGET        = libdummy.so
TARGETD       = libdummy.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET): html/index.html $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)



Makefile: doc.pro  /targets/fremantle/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf \
		../defines.pri \
		../config.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile doc.pro
/targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf:
/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf:
/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri:
/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf:
../defines.pri:
../config.pri:
/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile doc.pro

dist: 
	@$(CHK_DIR_EXISTS) .obj/dummy1.0.0 || $(MKDIR) .obj/dummy1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .obj/dummy1.0.0/ && $(COPY_FILE) --parents . .obj/dummy1.0.0/ && (cd `dirname .obj/dummy1.0.0` && $(TAR) dummy1.0.0.tar dummy1.0.0 && $(COMPRESS) dummy1.0.0.tar) && $(MOVE) `dirname .obj/dummy1.0.0`/dummy1.0.0.tar.gz . && $(DEL_FILE) -r .obj/dummy1.0.0


clean:compiler_clean 
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_doc_make_all: html/index.html
compiler_doc_clean:
	rm -rf /home/marcin/meecolay/maliit/maliit-framework-0.81.4/doc/html//*
	-$(DEL_FILE) doxygen.log doxygen.log.xml
html/index.html: .
	doxygen /home/marcin/meecolay/maliit/maliit-framework-0.81.4/doc/mdoxy.cfg; cp /home/marcin/meecolay/maliit/maliit-framework-0.81.4/doc/src/images/* /home/marcin/meecolay/maliit/maliit-framework-0.81.4/doc/html/ ; cp /home/marcin/meecolay/maliit/maliit-framework-0.81.4/doc/src/*.html /home/marcin/meecolay/maliit/maliit-framework-0.81.4/doc/html/ ; /home/marcin/meecolay/maliit/maliit-framework-0.81.4/doc/xmlize.pl;

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_doc_clean 

####### Compile

####### Install

install_htmldocs: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/doc/maliit-framework/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/doc/maliit-framework/ 
	-$(INSTALL_DIR) /home/marcin/meecolay/maliit/maliit-framework-0.81.4/doc/html $(INSTALL_ROOT)/usr/share/doc/maliit-framework/


uninstall_htmldocs:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/doc/maliit-framework/html
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/doc/maliit-framework/ 


install:  install_htmldocs  FORCE

uninstall: uninstall_htmldocs   FORCE

FORCE:

=== examples/Makefile ===
#############################################################################
# Makefile for building: examples
# Generated by qmake (2.01a) (Qt 4.7.4) on: Sun Apr 21 12:51:01 2013
# Project:  examples.pro
# Template: subdirs
# Command: /usr/bin/qmake MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile examples.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-apps \
		sub-plugins

apps/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) apps/ || $(MKDIR) apps/ 
	cd apps/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/examples/apps/apps.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-apps-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) apps/ || $(MKDIR) apps/ 
	cd apps/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/examples/apps/apps.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-apps: apps/$(MAKEFILE) FORCE
	cd apps/ && $(MAKE) -f $(MAKEFILE)
sub-apps-make_default: apps/$(MAKEFILE) FORCE
	cd apps/ && $(MAKE) -f $(MAKEFILE) 
sub-apps-make_first: apps/$(MAKEFILE) FORCE
	cd apps/ && $(MAKE) -f $(MAKEFILE) first
sub-apps-all: apps/$(MAKEFILE) FORCE
	cd apps/ && $(MAKE) -f $(MAKEFILE) all
sub-apps-clean: apps/$(MAKEFILE) FORCE
	cd apps/ && $(MAKE) -f $(MAKEFILE) clean
sub-apps-distclean: apps/$(MAKEFILE) FORCE
	cd apps/ && $(MAKE) -f $(MAKEFILE) distclean
sub-apps-install_subtargets: apps/$(MAKEFILE) FORCE
	cd apps/ && $(MAKE) -f $(MAKEFILE) install
sub-apps-uninstall_subtargets: apps/$(MAKEFILE) FORCE
	cd apps/ && $(MAKE) -f $(MAKEFILE) uninstall
plugins/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) plugins/ || $(MKDIR) plugins/ 
	cd plugins/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/examples/plugins/plugins.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-plugins-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) plugins/ || $(MKDIR) plugins/ 
	cd plugins/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/examples/plugins/plugins.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-plugins: plugins/$(MAKEFILE) FORCE
	cd plugins/ && $(MAKE) -f $(MAKEFILE)
sub-plugins-make_default: plugins/$(MAKEFILE) FORCE
	cd plugins/ && $(MAKE) -f $(MAKEFILE) 
sub-plugins-make_first: plugins/$(MAKEFILE) FORCE
	cd plugins/ && $(MAKE) -f $(MAKEFILE) first
sub-plugins-all: plugins/$(MAKEFILE) FORCE
	cd plugins/ && $(MAKE) -f $(MAKEFILE) all
sub-plugins-clean: plugins/$(MAKEFILE) FORCE
	cd plugins/ && $(MAKE) -f $(MAKEFILE) clean
sub-plugins-distclean: plugins/$(MAKEFILE) FORCE
	cd plugins/ && $(MAKE) -f $(MAKEFILE) distclean
sub-plugins-install_subtargets: plugins/$(MAKEFILE) FORCE
	cd plugins/ && $(MAKE) -f $(MAKEFILE) install
sub-plugins-uninstall_subtargets: plugins/$(MAKEFILE) FORCE
	cd plugins/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: examples.pro  /targets/fremantle/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile examples.pro
/targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf:
/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf:
/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri:
/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile examples.pro

qmake_all: sub-apps-qmake_all sub-plugins-qmake_all FORCE

make_default: sub-apps-make_default sub-plugins-make_default FORCE
make_first: sub-apps-make_first sub-plugins-make_first FORCE
all: sub-apps-all sub-plugins-all FORCE
clean: sub-apps-clean sub-plugins-clean FORCE
distclean: sub-apps-distclean sub-plugins-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-apps-install_subtargets sub-plugins-install_subtargets FORCE
uninstall_subtargets: sub-apps-uninstall_subtargets sub-plugins-uninstall_subtargets FORCE

sub-apps-check: apps/$(MAKEFILE)
	cd apps/ && $(MAKE) check
sub-plugins-check: plugins/$(MAKEFILE)
	cd plugins/ && $(MAKE) check
check: sub-apps-check sub-plugins-check

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== gtk-input-context/Makefile ===
#############################################################################
# Makefile for building: gtk-input-context
# Generated by qmake (2.01a) (Qt 4.7.4) on: Sun Apr 21 12:51:00 2013
# Project:  gtk-input-context.pro
# Template: subdirs
# Command: /usr/bin/qmake MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile gtk-input-context.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src \
		sub-client-gtk

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/gtk-input-context/src/src.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/gtk-input-context/src/src.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets-ordered: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall
client-gtk/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) client-gtk/ || $(MKDIR) client-gtk/ 
	cd client-gtk/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/gtk-input-context/client-gtk/client-gtk.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-client-gtk-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) client-gtk/ || $(MKDIR) client-gtk/ 
	cd client-gtk/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/gtk-input-context/client-gtk/client-gtk.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-client-gtk: client-gtk/$(MAKEFILE) FORCE
	cd client-gtk/ && $(MAKE) -f $(MAKEFILE)
sub-client-gtk-make_default-ordered: client-gtk/$(MAKEFILE) sub-src-make_default-ordered  FORCE
	cd client-gtk/ && $(MAKE) -f $(MAKEFILE) 
sub-client-gtk-make_default: client-gtk/$(MAKEFILE) FORCE
	cd client-gtk/ && $(MAKE) -f $(MAKEFILE) 
sub-client-gtk-make_first-ordered: client-gtk/$(MAKEFILE) sub-src-make_first-ordered  FORCE
	cd client-gtk/ && $(MAKE) -f $(MAKEFILE) first
sub-client-gtk-make_first: client-gtk/$(MAKEFILE) FORCE
	cd client-gtk/ && $(MAKE) -f $(MAKEFILE) first
sub-client-gtk-all-ordered: client-gtk/$(MAKEFILE) sub-src-all-ordered  FORCE
	cd client-gtk/ && $(MAKE) -f $(MAKEFILE) all
sub-client-gtk-all: client-gtk/$(MAKEFILE) FORCE
	cd client-gtk/ && $(MAKE) -f $(MAKEFILE) all
sub-client-gtk-clean-ordered: client-gtk/$(MAKEFILE) sub-src-clean-ordered  FORCE
	cd client-gtk/ && $(MAKE) -f $(MAKEFILE) clean
sub-client-gtk-clean: client-gtk/$(MAKEFILE) FORCE
	cd client-gtk/ && $(MAKE) -f $(MAKEFILE) clean
sub-client-gtk-distclean-ordered: client-gtk/$(MAKEFILE) sub-src-distclean-ordered  FORCE
	cd client-gtk/ && $(MAKE) -f $(MAKEFILE) distclean
sub-client-gtk-distclean: client-gtk/$(MAKEFILE) FORCE
	cd client-gtk/ && $(MAKE) -f $(MAKEFILE) distclean
sub-client-gtk-install_subtargets-ordered: client-gtk/$(MAKEFILE) sub-src-install_subtargets-ordered  FORCE
	cd client-gtk/ && $(MAKE) -f $(MAKEFILE) install
sub-client-gtk-install_subtargets: client-gtk/$(MAKEFILE) FORCE
	cd client-gtk/ && $(MAKE) -f $(MAKEFILE) install
sub-client-gtk-uninstall_subtargets-ordered: client-gtk/$(MAKEFILE) sub-src-uninstall_subtargets-ordered  FORCE
	cd client-gtk/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-client-gtk-uninstall_subtargets: client-gtk/$(MAKEFILE) FORCE
	cd client-gtk/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: gtk-input-context.pro  /targets/fremantle/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf \
		../defines.pri \
		../config.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile gtk-input-context.pro
/targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf:
/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf:
/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri:
/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf:
../defines.pri:
../config.pri:
/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile gtk-input-context.pro

qmake_all: sub-src-qmake_all sub-client-gtk-qmake_all FORCE

make_default: sub-src-make_default-ordered sub-client-gtk-make_default-ordered FORCE
make_first: sub-src-make_first-ordered sub-client-gtk-make_first-ordered FORCE
all: sub-src-all-ordered sub-client-gtk-all-ordered FORCE
clean: sub-src-clean-ordered sub-client-gtk-clean-ordered FORCE
distclean: sub-src-distclean-ordered sub-client-gtk-distclean-ordered FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets-ordered sub-client-gtk-install_subtargets-ordered FORCE
uninstall_subtargets: sub-src-uninstall_subtargets-ordered sub-client-gtk-uninstall_subtargets-ordered FORCE

sub-src-check_ordered: src/$(MAKEFILE)
	cd src/ && $(MAKE) check
sub-client-gtk-check_ordered: client-gtk/$(MAKEFILE) sub-src-check_ordered 
	cd client-gtk/ && $(MAKE) check
check: sub-src-check_ordered sub-client-gtk-check_ordered

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== input-context/Makefile ===
#############################################################################
# Makefile for building: libmaliit.so
# Generated by qmake (2.01a) (Qt 4.7.0) on: Thu Feb 28 19:01:04 2013
# Project:  input-context.pro
# Template: lib
# Command: /usr/bin/qmake MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile input-context.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DM_IM_PLUGINS_DIR=\"/usr/lib/maliit/plugins-0.80\" -DM_IM_PLUGINS_DATA_DIR=\"/usr/share/maliit/plugins\" -DM_IM_FACTORY_PLUGINS_DIR=\"/usr/lib/maliit/plugins-0.80/factories\" -DMALIIT_EXTENSIONS_DIR=\"/usr/share/maliit-framework-1.0/extensions/\" -DMALIIT_TEST_PLUGINS_DIR=\"/usr/lib/maliit-framework-tests/plugins\" -DMALIIT_CONFIG_ROOT=\"/maliit/\" -DMALIIT_FRAMEWORK_USE_INTERNAL_API -DMALIIT_INPUTCONTEXT_NAME=\"Maliit\" -DMALIIT_USE_GIO_API -DQT_NO_DEBUG -DQT_NO_KEYWORDS -DQT_PLUGIN -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/fremantle/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/fremantle/usr/include/QtCore -I/targets/fremantle/usr/include/QtGui -I/targets/fremantle/usr/include/QtDBus -I/targets/fremantle/usr/include -I. -I.. -I../common -I../connection -I../maliit -I/usr/X11R6/include -I.moc
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed -shared
LIBS          = $(SUBLIBS)  -L/usr/X11R6/lib -L/usr/lib ../maliit/libmaliit-1.0.so ../connection/libmaliit-connection.a -ldbus-glib-1 -ldbus-1 -lgio-2.0 -lgobject-2.0 -lglib-2.0 -L/usr/lib -lQtGui -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread -lXext -lX11 -lm
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       = minputcontext.cpp \
		minputcontextplugin.cpp .moc/moc_minputcontext.cpp \
		.moc/moc_minputcontextplugin.cpp
OBJECTS       = .obj/minputcontext.o \
		.obj/minputcontextplugin.o \
		.obj/moc_minputcontext.o \
		.obj/moc_minputcontextplugin.o
DIST          = /targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf \
		../defines.pri \
		../config.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		input-context.pro
QMAKE_TARGET  = maliit
DESTDIR       = 
TARGET        = libmaliit.so
TARGETD       = libmaliit.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  ../connection/libmaliit-connection.a
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)



Makefile: input-context.pro  /targets/fremantle/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf \
		../defines.pri \
		../config.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile input-context.pro
/targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf:
/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf:
/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri:
/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf:
../defines.pri:
../config.pri:
/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile input-context.pro

dist: 
	@$(CHK_DIR_EXISTS) .obj/maliit1.0.0 || $(MKDIR) .obj/maliit1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .obj/maliit1.0.0/ && $(COPY_FILE) --parents minputcontext.h minputcontextplugin.h .obj/maliit1.0.0/ && $(COPY_FILE) --parents minputcontext.cpp minputcontextplugin.cpp .obj/maliit1.0.0/ && (cd `dirname .obj/maliit1.0.0` && $(TAR) maliit1.0.0.tar maliit1.0.0 && $(COMPRESS) maliit1.0.0.tar) && $(MOVE) `dirname .obj/maliit1.0.0`/maliit1.0.0.tar.gz . && $(DEL_FILE) -r .obj/maliit1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) .obj/*.gcno .obj/*.gcda
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check-xml: libmaliit.so

check: libmaliit.so

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: .moc/moc_minputcontext.cpp .moc/moc_minputcontextplugin.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) .moc/moc_minputcontext.cpp .moc/moc_minputcontextplugin.cpp
.moc/moc_minputcontext.cpp: minputcontext.h
	/usr/bin/moc $(DEFINES) $(INCPATH) minputcontext.h -o .moc/moc_minputcontext.cpp

.moc/moc_minputcontextplugin.cpp: minputcontextplugin.h
	/usr/bin/moc $(DEFINES) $(INCPATH) minputcontextplugin.h -o .moc/moc_minputcontextplugin.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all:
compiler_uic_clean:

=== maliit-plugins-quick/Makefile ===
#############################################################################
# Makefile for building: maliit-plugins-quick
# Generated by qmake (2.01a) (Qt 4.7.4) on: Sun Apr 21 12:51:00 2013
# Project:  maliit-plugins-quick.pro
# Template: subdirs
# Command: /usr/bin/qmake MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile maliit-plugins-quick.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-input-method \
		sub-plugin-factory

input-method/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) input-method/ || $(MKDIR) input-method/ 
	cd input-method/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/maliit-plugins-quick/input-method/input-method.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-input-method-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) input-method/ || $(MKDIR) input-method/ 
	cd input-method/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/maliit-plugins-quick/input-method/input-method.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-input-method: input-method/$(MAKEFILE) FORCE
	cd input-method/ && $(MAKE) -f $(MAKEFILE)
sub-input-method-make_default-ordered: input-method/$(MAKEFILE) FORCE
	cd input-method/ && $(MAKE) -f $(MAKEFILE) 
sub-input-method-make_default: input-method/$(MAKEFILE) FORCE
	cd input-method/ && $(MAKE) -f $(MAKEFILE) 
sub-input-method-make_first-ordered: input-method/$(MAKEFILE) FORCE
	cd input-method/ && $(MAKE) -f $(MAKEFILE) first
sub-input-method-make_first: input-method/$(MAKEFILE) FORCE
	cd input-method/ && $(MAKE) -f $(MAKEFILE) first
sub-input-method-all-ordered: input-method/$(MAKEFILE) FORCE
	cd input-method/ && $(MAKE) -f $(MAKEFILE) all
sub-input-method-all: input-method/$(MAKEFILE) FORCE
	cd input-method/ && $(MAKE) -f $(MAKEFILE) all
sub-input-method-clean-ordered: input-method/$(MAKEFILE) FORCE
	cd input-method/ && $(MAKE) -f $(MAKEFILE) clean
sub-input-method-clean: input-method/$(MAKEFILE) FORCE
	cd input-method/ && $(MAKE) -f $(MAKEFILE) clean
sub-input-method-distclean-ordered: input-method/$(MAKEFILE) FORCE
	cd input-method/ && $(MAKE) -f $(MAKEFILE) distclean
sub-input-method-distclean: input-method/$(MAKEFILE) FORCE
	cd input-method/ && $(MAKE) -f $(MAKEFILE) distclean
sub-input-method-install_subtargets-ordered: input-method/$(MAKEFILE) FORCE
	cd input-method/ && $(MAKE) -f $(MAKEFILE) install
sub-input-method-install_subtargets: input-method/$(MAKEFILE) FORCE
	cd input-method/ && $(MAKE) -f $(MAKEFILE) install
sub-input-method-uninstall_subtargets-ordered: input-method/$(MAKEFILE) FORCE
	cd input-method/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-input-method-uninstall_subtargets: input-method/$(MAKEFILE) FORCE
	cd input-method/ && $(MAKE) -f $(MAKEFILE) uninstall
plugin-factory/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) plugin-factory/ || $(MKDIR) plugin-factory/ 
	cd plugin-factory/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/maliit-plugins-quick/plugin-factory/plugin-factory.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-plugin-factory-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) plugin-factory/ || $(MKDIR) plugin-factory/ 
	cd plugin-factory/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/maliit-plugins-quick/plugin-factory/plugin-factory.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-plugin-factory: plugin-factory/$(MAKEFILE) FORCE
	cd plugin-factory/ && $(MAKE) -f $(MAKEFILE)
sub-plugin-factory-make_default-ordered: plugin-factory/$(MAKEFILE) sub-input-method-make_default-ordered  FORCE
	cd plugin-factory/ && $(MAKE) -f $(MAKEFILE) 
sub-plugin-factory-make_default: plugin-factory/$(MAKEFILE) FORCE
	cd plugin-factory/ && $(MAKE) -f $(MAKEFILE) 
sub-plugin-factory-make_first-ordered: plugin-factory/$(MAKEFILE) sub-input-method-make_first-ordered  FORCE
	cd plugin-factory/ && $(MAKE) -f $(MAKEFILE) first
sub-plugin-factory-make_first: plugin-factory/$(MAKEFILE) FORCE
	cd plugin-factory/ && $(MAKE) -f $(MAKEFILE) first
sub-plugin-factory-all-ordered: plugin-factory/$(MAKEFILE) sub-input-method-all-ordered  FORCE
	cd plugin-factory/ && $(MAKE) -f $(MAKEFILE) all
sub-plugin-factory-all: plugin-factory/$(MAKEFILE) FORCE
	cd plugin-factory/ && $(MAKE) -f $(MAKEFILE) all
sub-plugin-factory-clean-ordered: plugin-factory/$(MAKEFILE) sub-input-method-clean-ordered  FORCE
	cd plugin-factory/ && $(MAKE) -f $(MAKEFILE) clean
sub-plugin-factory-clean: plugin-factory/$(MAKEFILE) FORCE
	cd plugin-factory/ && $(MAKE) -f $(MAKEFILE) clean
sub-plugin-factory-distclean-ordered: plugin-factory/$(MAKEFILE) sub-input-method-distclean-ordered  FORCE
	cd plugin-factory/ && $(MAKE) -f $(MAKEFILE) distclean
sub-plugin-factory-distclean: plugin-factory/$(MAKEFILE) FORCE
	cd plugin-factory/ && $(MAKE) -f $(MAKEFILE) distclean
sub-plugin-factory-install_subtargets-ordered: plugin-factory/$(MAKEFILE) sub-input-method-install_subtargets-ordered  FORCE
	cd plugin-factory/ && $(MAKE) -f $(MAKEFILE) install
sub-plugin-factory-install_subtargets: plugin-factory/$(MAKEFILE) FORCE
	cd plugin-factory/ && $(MAKE) -f $(MAKEFILE) install
sub-plugin-factory-uninstall_subtargets-ordered: plugin-factory/$(MAKEFILE) sub-input-method-uninstall_subtargets-ordered  FORCE
	cd plugin-factory/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-plugin-factory-uninstall_subtargets: plugin-factory/$(MAKEFILE) FORCE
	cd plugin-factory/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: maliit-plugins-quick.pro  /targets/fremantle/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf \
		../defines.pri \
		../config.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile maliit-plugins-quick.pro
/targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf:
/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf:
/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri:
/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf:
../defines.pri:
../config.pri:
/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile maliit-plugins-quick.pro

qmake_all: sub-input-method-qmake_all sub-plugin-factory-qmake_all FORCE

make_default: sub-input-method-make_default-ordered sub-plugin-factory-make_default-ordered FORCE
make_first: sub-input-method-make_first-ordered sub-plugin-factory-make_first-ordered FORCE
all: sub-input-method-all-ordered sub-plugin-factory-all-ordered FORCE
clean: sub-input-method-clean-ordered sub-plugin-factory-clean-ordered FORCE
distclean: sub-input-method-distclean-ordered sub-plugin-factory-distclean-ordered FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-input-method-install_subtargets-ordered sub-plugin-factory-install_subtargets-ordered FORCE
uninstall_subtargets: sub-input-method-uninstall_subtargets-ordered sub-plugin-factory-uninstall_subtargets-ordered FORCE

sub-input-method-check_ordered: input-method/$(MAKEFILE)
	cd input-method/ && $(MAKE) check
sub-plugin-factory-check_ordered: plugin-factory/$(MAKEFILE) sub-input-method-check_ordered 
	cd plugin-factory/ && $(MAKE) check
check: sub-input-method-check_ordered sub-plugin-factory-check_ordered

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== maliit/Makefile ===
#############################################################################
# Makefile for building: libmaliit-1.0.so.0.1.0
# Generated by qmake (2.01a) (Qt 4.7.4) on: Sun Apr 21 12:59:29 2013
# Project:  maliit.pro
# Template: lib
# Command: /usr/bin/qmake MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile maliit.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DM_IM_PLUGINS_DIR=\"/usr/lib/maliit/plugins-0.80\" -DM_IM_PLUGINS_DATA_DIR=\"/usr/share/maliit/plugins\" -DM_IM_FACTORY_PLUGINS_DIR=\"/usr/lib/maliit/plugins-0.80/factories\" -DMALIIT_EXTENSIONS_DIR=\"/usr/share/maliit-framework-1.0/extensions/\" -DMALIIT_TEST_PLUGINS_DIR=\"/usr/lib/maliit-framework-tests/plugins\" -DMALIIT_CONFIG_ROOT=\"/maliit/\" -DMALIIT_FRAMEWORK_USE_INTERNAL_API -DQT_NO_DEBUG -DQT_NO_KEYWORDS -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/fremantle/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/fremantle/usr/include/QtCore -I/targets/fremantle/usr/include/QtGui -I/targets/fremantle/usr/include -I.. -I../common -I/usr/X11R6/include -I.moc
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed -Wl,-rpath,/usr/lib -shared -Wl,-soname,libmaliit-1.0.so.0
LIBS          = $(SUBLIBS)  -L/usr/X11R6/lib -L/usr/lib -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread -lXext -lX11 -lm
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       = preeditinjectionevent.cpp \
		inputmethod.cpp \
		attributeextension.cpp \
		attributeextensionregistry.cpp .moc/moc_inputmethod.cpp \
		.moc/moc_attributeextension.cpp \
		.moc/moc_attributeextensionregistry.cpp
OBJECTS       = .obj/preeditinjectionevent.o \
		.obj/inputmethod.o \
		.obj/attributeextension.o \
		.obj/attributeextensionregistry.o \
		.obj/moc_inputmethod.o \
		.obj/moc_attributeextension.o \
		.obj/moc_attributeextensionregistry.o
DIST          = /targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf \
		../defines.pri \
		../config.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		maliit.pro
QMAKE_TARGET  = maliit-1.0
DESTDIR       = 
TARGET        = libmaliit-1.0.so.0.1.0
TARGETA       = libmaliit-1.0.a
TARGETD       = libmaliit-1.0.so.0.1.0
TARGET0       = libmaliit-1.0.so
TARGET1       = libmaliit-1.0.so.0
TARGET2       = libmaliit-1.0.so.0.1

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: maliit.pro  /targets/fremantle/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf \
		../defines.pri \
		../config.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile maliit.pro
/targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf:
/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf:
/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri:
/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf:
../defines.pri:
../config.pri:
/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile maliit.pro

dist: 
	@$(CHK_DIR_EXISTS) .obj/maliit-1.00.1.0 || $(MKDIR) .obj/maliit-1.00.1.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .obj/maliit-1.00.1.0/ && $(COPY_FILE) --parents preeditinjectionevent.h inputmethod.h attributeextension.h preeditinjectionevent_p.h inputmethod_p.h attributeextension_p.h attributeextensionregistry_p.h attributeextensionregistry.h .obj/maliit-1.00.1.0/ && $(COPY_FILE) --parents preeditinjectionevent.cpp inputmethod.cpp attributeextension.cpp attributeextensionregistry.cpp .obj/maliit-1.00.1.0/ && (cd `dirname .obj/maliit-1.00.1.0` && $(TAR) maliit-1.00.1.0.tar maliit-1.00.1.0 && $(COMPRESS) maliit-1.00.1.0.tar) && $(MOVE) `dirname .obj/maliit-1.00.1.0`/maliit-1.00.1.0.tar.gz . && $(DEL_FILE) -r .obj/maliit-1.00.1.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) .obj/*.gcno .obj/*.gcda
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) $(TARGET0) $(TARGET1) $(TARGET2) $(TARGETA)
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: .moc/moc_inputmethod.cpp .moc/moc_attributeextension.cpp .moc/moc_attributeextensionregistry.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) .moc/moc_inputmethod.cpp .moc/moc_attributeextension.cpp .moc/moc_attributeextensionregistry.cpp
.moc/moc_inputmethod.cpp: inputmethod.h
	/usr/bin/moc $(DEFINES) $(INCPATH) inputmethod.h -o .moc/moc_inputmethod.cpp

.moc/moc_attributeextension.cpp: attributeextension.h
	/usr/bin/moc $(DEFINES) $(INCPATH) attributeextension.h -o .moc/moc_attributeextension.cpp

.moc/moc_attributeextensionregistry.cpp: attributeextension.h \
		attributeextensionregistry.h
	/usr/bin/moc $(DEFINES) $(INCPATH) attributeextensionregistry.h -o .moc/moc_attributeextensionregistry.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

.obj/preeditinjectionevent.o: preeditinjectionevent.cpp preeditinjectionevent.h \
		preeditinjectionevent_p.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/preeditinjectionevent.o preeditinjectionevent.cpp

.obj/inputmethod.o: inputmethod.cpp inputmethod.h \
		inputmethod_p.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/inputmethod.o inputmethod.cpp

=== passthroughserver/Makefile ===
#############################################################################
# Makefile for building: maliit-server
# Generated by qmake (2.01a) (Qt 4.7.4) on: Sun Apr 21 12:59:29 2013
# Project:  passthroughserver.pro
# Template: app
# Command: /usr/bin/qmake MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile passthroughserver.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DM_IM_PLUGINS_DIR=\"/usr/lib/maliit/plugins-0.80\" -DM_IM_PLUGINS_DATA_DIR=\"/usr/share/maliit/plugins\" -DM_IM_FACTORY_PLUGINS_DIR=\"/usr/lib/maliit/plugins-0.80/factories\" -DMALIIT_EXTENSIONS_DIR=\"/usr/share/maliit-framework-1.0/extensions/\" -DMALIIT_TEST_PLUGINS_DIR=\"/usr/lib/maliit-framework-tests/plugins\" -DMALIIT_CONFIG_ROOT=\"/maliit/\" -DMALIIT_FRAMEWORK_USE_INTERNAL_API -DQT_NO_DEBUG -DQT_NO_KEYWORDS -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -fno-omit-frame-pointer -fno-optimize-sibling-calls -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -fno-omit-frame-pointer -fno-optimize-sibling-calls -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/fremantle/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/fremantle/usr/include/QtCore -I/targets/fremantle/usr/include/QtGui -I/targets/fremantle/usr/include -I/targets/fremantle/usr/include/QtDBus -I. -I.. -I../src -I../common -I../connection -I.moc -I/usr/X11R6/include
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/X11R6/lib -L/usr/lib ../connection/libmaliit-connection.a ../src/libmaliit-plugins-0.80.so -lXfixes -L/usr/lib -ldbus-glib-1 -ldbus-1 -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -lQtGui -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread -lXext -lX11 -lm
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       = main.cpp 
OBJECTS       = .obj/main.o
DIST          = /targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf \
		../defines.pri \
		../config.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qdbus.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		passthroughserver.pro
QMAKE_TARGET  = maliit-server
DESTDIR       = 
TARGET        = maliit-server

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  ../connection/libmaliit-connection.a
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: passthroughserver.pro  /targets/fremantle/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf \
		../defines.pri \
		../config.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qdbus.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile passthroughserver.pro
/targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf:
/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf:
/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri:
/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf:
../defines.pri:
../config.pri:
/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/qdbus.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile passthroughserver.pro

dist: 
	@$(CHK_DIR_EXISTS) .obj/maliit-server1.0.0 || $(MKDIR) .obj/maliit-server1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .obj/maliit-server1.0.0/ && $(COPY_FILE) --parents main.cpp .obj/maliit-server1.0.0/ && (cd `dirname .obj/maliit-server1.0.0` && $(TAR) maliit-server1.0.0.tar maliit-server1.0.0 && $(COMPRESS) maliit-server1.0.0.tar) && $(MOVE) `dirname .obj/maliit-server1.0.0`/maliit-server1.0.0.tar.gz . && $(DEL_FILE) -r .obj/maliit-server1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *.gcno *.gcda
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check-xml: maliit-server

check: maliit-server

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 

####### Compile

.obj/main.o: main.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/main.o main.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/bin/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"

=== src/Makefile ===
#############################################################################
# Makefile for building: libmaliit-plugins-0.80.so.0.1.0
# Generated by qmake (2.01a) (Qt 4.7.4) on: Sun Apr 21 12:59:28 2013
# Project:  src.pro
# Template: lib
# Command: /usr/bin/qmake MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DM_IM_PLUGINS_DIR=\"/usr/lib/maliit/plugins-0.80\" -DM_IM_PLUGINS_DATA_DIR=\"/usr/share/maliit/plugins\" -DM_IM_FACTORY_PLUGINS_DIR=\"/usr/lib/maliit/plugins-0.80/factories\" -DMALIIT_EXTENSIONS_DIR=\"/usr/share/maliit-framework-1.0/extensions/\" -DMALIIT_TEST_PLUGINS_DIR=\"/usr/lib/maliit-framework-tests/plugins\" -DMALIIT_CONFIG_ROOT=\"/maliit/\" -DMALIIT_FRAMEWORK_USE_INTERNAL_API -DQT_NO_DEBUG -DQT_NO_KEYWORDS -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -fno-omit-frame-pointer -fno-optimize-sibling-calls -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -fno-omit-frame-pointer -fno-optimize-sibling-calls -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/fremantle/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/fremantle/usr/include/QtCore -I/targets/fremantle/usr/include/QtGui -I/targets/fremantle/usr/include/QtXml -I/targets/fremantle/usr/include -I/targets/fremantle/usr/include/QtDBus -I.. -I../common -I../connection -I.moc -I/usr/X11R6/include
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed -Wl,-rpath,/usr/lib -shared -Wl,-soname,libmaliit-plugins-0.80.so.0
LIBS          = $(SUBLIBS)  -L/usr/X11R6/lib -L/usr/lib -lXcomposite -lXdamage -lXfixes ../connection/libmaliit-connection.a -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -L/usr/lib -lQtGui -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread -lXext -lX11 -lm
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       = mimabstractpluginfactory.cpp \
		mimpluginmanager.cpp \
		mimpluginmanageradaptor.cpp \
		mabstractinputmethod.cpp \
		mabstractinputmethodhost.cpp \
		minputmethodhost.cpp \
		mtoolbaritem.cpp \
		mtoolbardata.cpp \
		mkeyoverride.cpp \
		mkeyoverridedata.cpp \
		mattributeextensionmanager.cpp \
		mattributeextensionid.cpp \
		mattributeextension.cpp \
		mtoolbarlayout.cpp \
		mimextensionevent.cpp \
		mimupdateevent.cpp \
		mimupdatereceiver.cpp \
		mimsettings.cpp \
		mimhwkeyboardtracker.cpp \
		mimgraphicsview.cpp \
		mimwidget.cpp \
		mimplugindescription.cpp \
		mimpluginsproxywidget.cpp \
		mimonscreenplugins.cpp \
		mimsubviewdescription.cpp \
		mimdummyinputcontext.cpp \
		mimserver.cpp \
		mindicatorserviceclient.cpp \
		mimsubviewoverride.cpp \
		mtoolbaritemfilter.cpp \
		mimremotewindow.cpp \
		mimxerrortrap.cpp \
		mimxextension.cpp \
		mpassthruwindow.cpp \
		mimrotationanimation.cpp \
		mimxapplication.cpp .moc/moc_mabstractinputmethod.cpp \
		.moc/moc_mabstractinputmethodhost.cpp \
		.moc/moc_mtoolbaritem.cpp \
		.moc/moc_mtoolbardata.cpp \
		.moc/moc_mkeyoverride.cpp \
		.moc/moc_mkeyoverridedata.cpp \
		.moc/moc_mattributeextension.cpp \
		.moc/moc_mimupdatereceiver.cpp \
		.moc/moc_mimgraphicsview.cpp \
		.moc/moc_mimwidget.cpp \
		.moc/moc_mimsettings.cpp \
		.moc/moc_mimpluginmanageradaptor.cpp \
		.moc/moc_minputmethodhost.cpp \
		.moc/moc_mattributeextensionmanager.cpp \
		.moc/moc_mimhwkeyboardtracker.cpp \
		.moc/moc_mimpluginsproxywidget.cpp \
		.moc/moc_mimonscreenplugins.cpp \
		.moc/moc_mimdummyinputcontext.cpp \
		.moc/moc_mimserver.cpp \
		.moc/moc_mimsubviewoverride.cpp \
		.moc/moc_mpassthruwindow.cpp \
		.moc/moc_mimremotewindow.cpp \
		.moc/moc_mimrotationanimation.cpp \
		.moc/moc_mimxapplication.cpp
OBJECTS       = .obj/mimabstractpluginfactory.o \
		.obj/mimpluginmanager.o \
		.obj/mimpluginmanageradaptor.o \
		.obj/mabstractinputmethod.o \
		.obj/mabstractinputmethodhost.o \
		.obj/minputmethodhost.o \
		.obj/mtoolbaritem.o \
		.obj/mtoolbardata.o \
		.obj/mkeyoverride.o \
		.obj/mkeyoverridedata.o \
		.obj/mattributeextensionmanager.o \
		.obj/mattributeextensionid.o \
		.obj/mattributeextension.o \
		.obj/mtoolbarlayout.o \
		.obj/mimextensionevent.o \
		.obj/mimupdateevent.o \
		.obj/mimupdatereceiver.o \
		.obj/mimsettings.o \
		.obj/mimhwkeyboardtracker.o \
		.obj/mimgraphicsview.o \
		.obj/mimwidget.o \
		.obj/mimplugindescription.o \
		.obj/mimpluginsproxywidget.o \
		.obj/mimonscreenplugins.o \
		.obj/mimsubviewdescription.o \
		.obj/mimdummyinputcontext.o \
		.obj/mimserver.o \
		.obj/mindicatorserviceclient.o \
		.obj/mimsubviewoverride.o \
		.obj/mtoolbaritemfilter.o \
		.obj/mimremotewindow.o \
		.obj/mimxerrortrap.o \
		.obj/mimxextension.o \
		.obj/mpassthruwindow.o \
		.obj/mimrotationanimation.o \
		.obj/mimxapplication.o \
		.obj/moc_mabstractinputmethod.o \
		.obj/moc_mabstractinputmethodhost.o \
		.obj/moc_mtoolbaritem.o \
		.obj/moc_mtoolbardata.o \
		.obj/moc_mkeyoverride.o \
		.obj/moc_mkeyoverridedata.o \
		.obj/moc_mattributeextension.o \
		.obj/moc_mimupdatereceiver.o \
		.obj/moc_mimgraphicsview.o \
		.obj/moc_mimwidget.o \
		.obj/moc_mimsettings.o \
		.obj/moc_mimpluginmanageradaptor.o \
		.obj/moc_minputmethodhost.o \
		.obj/moc_mattributeextensionmanager.o \
		.obj/moc_mimhwkeyboardtracker.o \
		.obj/moc_mimpluginsproxywidget.o \
		.obj/moc_mimonscreenplugins.o \
		.obj/moc_mimdummyinputcontext.o \
		.obj/moc_mimserver.o \
		.obj/moc_mimsubviewoverride.o \
		.obj/moc_mpassthruwindow.o \
		.obj/moc_mimremotewindow.o \
		.obj/moc_mimrotationanimation.o \
		.obj/moc_mimxapplication.o
DIST          = /targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf \
		../defines.pri \
		../config.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qdbus.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = maliit-plugins-0.80
DESTDIR       = 
TARGET        = libmaliit-plugins-0.80.so.0.1.0
TARGETA       = libmaliit-plugins-0.80.a
TARGETD       = libmaliit-plugins-0.80.so.0.1.0
TARGET0       = libmaliit-plugins-0.80.so
TARGET1       = libmaliit-plugins-0.80.so.0
TARGET2       = libmaliit-plugins-0.80.so.0.1

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  ../connection/libmaliit-connection.a
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) ../connection/libmaliit-connection.a
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: src.pro  /targets/fremantle/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf \
		../defines.pri \
		../config.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qdbus.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile src.pro
/targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf:
/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf:
/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri:

=== examples/apps/Makefile ===
#############################################################################
# Makefile for building: apps
# Generated by qmake (2.01a) (Qt 4.7.4) on: Sun Apr 21 12:51:01 2013
# Project:  apps.pro
# Template: subdirs
# Command: /usr/bin/qmake MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile apps.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-plainqt \
		sub-twofields \
		sub-widgetproperties \
		sub-allinputmethods \
		sub-gtk2

plainqt/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) plainqt/ || $(MKDIR) plainqt/ 
	cd plainqt/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/examples/apps/plainqt/plainqt.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-plainqt-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) plainqt/ || $(MKDIR) plainqt/ 
	cd plainqt/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/examples/apps/plainqt/plainqt.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-plainqt: plainqt/$(MAKEFILE) FORCE
	cd plainqt/ && $(MAKE) -f $(MAKEFILE)
sub-plainqt-make_default: plainqt/$(MAKEFILE) FORCE
	cd plainqt/ && $(MAKE) -f $(MAKEFILE) 
sub-plainqt-make_first: plainqt/$(MAKEFILE) FORCE
	cd plainqt/ && $(MAKE) -f $(MAKEFILE) first
sub-plainqt-all: plainqt/$(MAKEFILE) FORCE
	cd plainqt/ && $(MAKE) -f $(MAKEFILE) all
sub-plainqt-clean: plainqt/$(MAKEFILE) FORCE
	cd plainqt/ && $(MAKE) -f $(MAKEFILE) clean
sub-plainqt-distclean: plainqt/$(MAKEFILE) FORCE
	cd plainqt/ && $(MAKE) -f $(MAKEFILE) distclean
sub-plainqt-install_subtargets: plainqt/$(MAKEFILE) FORCE
	cd plainqt/ && $(MAKE) -f $(MAKEFILE) install
sub-plainqt-uninstall_subtargets: plainqt/$(MAKEFILE) FORCE
	cd plainqt/ && $(MAKE) -f $(MAKEFILE) uninstall
twofields/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) twofields/ || $(MKDIR) twofields/ 
	cd twofields/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/examples/apps/twofields/twofields.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-twofields-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) twofields/ || $(MKDIR) twofields/ 
	cd twofields/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/examples/apps/twofields/twofields.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-twofields: twofields/$(MAKEFILE) FORCE
	cd twofields/ && $(MAKE) -f $(MAKEFILE)
sub-twofields-make_default: twofields/$(MAKEFILE) FORCE
	cd twofields/ && $(MAKE) -f $(MAKEFILE) 
sub-twofields-make_first: twofields/$(MAKEFILE) FORCE
	cd twofields/ && $(MAKE) -f $(MAKEFILE) first
sub-twofields-all: twofields/$(MAKEFILE) FORCE
	cd twofields/ && $(MAKE) -f $(MAKEFILE) all
sub-twofields-clean: twofields/$(MAKEFILE) FORCE
	cd twofields/ && $(MAKE) -f $(MAKEFILE) clean
sub-twofields-distclean: twofields/$(MAKEFILE) FORCE
	cd twofields/ && $(MAKE) -f $(MAKEFILE) distclean
sub-twofields-install_subtargets: twofields/$(MAKEFILE) FORCE
	cd twofields/ && $(MAKE) -f $(MAKEFILE) install
sub-twofields-uninstall_subtargets: twofields/$(MAKEFILE) FORCE
	cd twofields/ && $(MAKE) -f $(MAKEFILE) uninstall
widgetproperties/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) widgetproperties/ || $(MKDIR) widgetproperties/ 
	cd widgetproperties/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/examples/apps/widgetproperties/widgetproperties.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-widgetproperties-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) widgetproperties/ || $(MKDIR) widgetproperties/ 
	cd widgetproperties/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/examples/apps/widgetproperties/widgetproperties.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-widgetproperties: widgetproperties/$(MAKEFILE) FORCE
	cd widgetproperties/ && $(MAKE) -f $(MAKEFILE)
sub-widgetproperties-make_default: widgetproperties/$(MAKEFILE) FORCE
	cd widgetproperties/ && $(MAKE) -f $(MAKEFILE) 
sub-widgetproperties-make_first: widgetproperties/$(MAKEFILE) FORCE
	cd widgetproperties/ && $(MAKE) -f $(MAKEFILE) first
sub-widgetproperties-all: widgetproperties/$(MAKEFILE) FORCE
	cd widgetproperties/ && $(MAKE) -f $(MAKEFILE) all
sub-widgetproperties-clean: widgetproperties/$(MAKEFILE) FORCE
	cd widgetproperties/ && $(MAKE) -f $(MAKEFILE) clean
sub-widgetproperties-distclean: widgetproperties/$(MAKEFILE) FORCE
	cd widgetproperties/ && $(MAKE) -f $(MAKEFILE) distclean
sub-widgetproperties-install_subtargets: widgetproperties/$(MAKEFILE) FORCE
	cd widgetproperties/ && $(MAKE) -f $(MAKEFILE) install
sub-widgetproperties-uninstall_subtargets: widgetproperties/$(MAKEFILE) FORCE
	cd widgetproperties/ && $(MAKE) -f $(MAKEFILE) uninstall
allinputmethods/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) allinputmethods/ || $(MKDIR) allinputmethods/ 
	cd allinputmethods/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/examples/apps/allinputmethods/allinputmethods.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-allinputmethods-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) allinputmethods/ || $(MKDIR) allinputmethods/ 
	cd allinputmethods/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/examples/apps/allinputmethods/allinputmethods.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-allinputmethods: allinputmethods/$(MAKEFILE) FORCE
	cd allinputmethods/ && $(MAKE) -f $(MAKEFILE)
sub-allinputmethods-make_default: allinputmethods/$(MAKEFILE) FORCE
	cd allinputmethods/ && $(MAKE) -f $(MAKEFILE) 
sub-allinputmethods-make_first: allinputmethods/$(MAKEFILE) FORCE
	cd allinputmethods/ && $(MAKE) -f $(MAKEFILE) first
sub-allinputmethods-all: allinputmethods/$(MAKEFILE) FORCE
	cd allinputmethods/ && $(MAKE) -f $(MAKEFILE) all
sub-allinputmethods-clean: allinputmethods/$(MAKEFILE) FORCE
	cd allinputmethods/ && $(MAKE) -f $(MAKEFILE) clean
sub-allinputmethods-distclean: allinputmethods/$(MAKEFILE) FORCE
	cd allinputmethods/ && $(MAKE) -f $(MAKEFILE) distclean
sub-allinputmethods-install_subtargets: allinputmethods/$(MAKEFILE) FORCE
	cd allinputmethods/ && $(MAKE) -f $(MAKEFILE) install
sub-allinputmethods-uninstall_subtargets: allinputmethods/$(MAKEFILE) FORCE
	cd allinputmethods/ && $(MAKE) -f $(MAKEFILE) uninstall
gtk2/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) gtk2/ || $(MKDIR) gtk2/ 
	cd gtk2/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/examples/apps/gtk2/gtk2.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-gtk2-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) gtk2/ || $(MKDIR) gtk2/ 
	cd gtk2/ && $(QMAKE) /home/marcin/meecolay/libs/maliit/maliit-framework-0.81.4/examples/apps/gtk2/gtk2.pro MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o $(MAKEFILE)
sub-gtk2: gtk2/$(MAKEFILE) FORCE
	cd gtk2/ && $(MAKE) -f $(MAKEFILE)
sub-gtk2-make_default: gtk2/$(MAKEFILE) FORCE
	cd gtk2/ && $(MAKE) -f $(MAKEFILE) 
sub-gtk2-make_first: gtk2/$(MAKEFILE) FORCE
	cd gtk2/ && $(MAKE) -f $(MAKEFILE) first
sub-gtk2-all: gtk2/$(MAKEFILE) FORCE
	cd gtk2/ && $(MAKE) -f $(MAKEFILE) all
sub-gtk2-clean: gtk2/$(MAKEFILE) FORCE
	cd gtk2/ && $(MAKE) -f $(MAKEFILE) clean
sub-gtk2-distclean: gtk2/$(MAKEFILE) FORCE
	cd gtk2/ && $(MAKE) -f $(MAKEFILE) distclean
sub-gtk2-install_subtargets: gtk2/$(MAKEFILE) FORCE
	cd gtk2/ && $(MAKE) -f $(MAKEFILE) install
sub-gtk2-uninstall_subtargets: gtk2/$(MAKEFILE) FORCE
	cd gtk2/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: apps.pro  /targets/fremantle/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/fremantle/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) MALIIT_SERVER_ARGUMENTS=-software\ -use-self-composition\ -graphicssystem\ raster M_IM_ENABLE_MULTITOUCH=false M_IM_DEFAULT_PLUGIN=nemo-keyboard.qml M_IM_DEFAULT_HW_PLUGIN= CONFIG+=notests\ nosdk -o Makefile apps.pro
/targets/fremantle/usr/share/qt4/mkspecs/common/unix.conf:
/targets/fremantle/usr/share/qt4/mkspecs/common/linux.conf:
/targets/fremantle/usr/share/qt4/mkspecs/qconfig.pri:
/targets/fremantle/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/release.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/qt.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/fremantle/usr/share/qt4/mkspecs/features/moc.prf:

=== debian/changelog ===
maliit-framework (0.81.4-maemo0) fremantle; urgency=low

  * Initial release for Fremantle

 -- Marcin Mielniczuk <marmistrz@linux.pl>  Thu, 28 Feb 2013 18:58:19 +0100

maliit-framework (0.81.2.1-1+0m5) fremantle; urgency=low

  * New 0.81.X series

 -- Carlos Martin <cmartin@liberalia.net>  Tue, 06 Dec 2011 12:58:59 +0100

maliit-framework (0.80.5~git20110911-1+0m5.1) fremantle; urgency=low

  * Remove nokia binary deps

 -- Carlos Martin <cmartin@liberalia.net>  Sat, 15 Oct 2011 16:09:46 +0200

maliit-framework (0.80.5~git20110911-1+0m5) fremantle; urgency=low

  * New rebuild.

 -- Carlos Martin <cmartin@liberalia.net>  Sun, 11 Sep 2011 17:42:37 +0200

maliit-framework (0.80.5~git20110830-1+0m5.1) fremantle; urgency=low

  * Handle iconification of apps

 -- Carlos Martin <cmartin@liberalia.net>  Tue, 30 Aug 2011 22:16:03 +0200

maliit-framework (0.80.4-2+0m5.2) fremantle; urgency=low

  * New rebuild. Added upstream changes

 -- Carlos Martin <cmartin@liberalia.net>  Sun, 21 Aug 2011 09:56:29 +0200

maliit-framework (0.80.4-2+0m5.1) fremantle; urgency=low

  * New rebuild.

 -- Carlos Martin <cmartin@liberalia.net>  Thu, 18 Aug 2011 19:47:02 +0200

maliit-framework (0.80.4-1+0m5.1) fremantle; urgency=low

  * New rebuild.

 -- Carlos Martin <cmartin@liberalia.net>  Wed, 27 Jul 2011 18:34:44 +0200

maliit-framework (0.80.4-1+0m5) fremantle; urgency=low

  * New release.

 -- Carlos Martin <cmartin@liberalia.net>  Mon, 18 Jul 2011 23:11:10 +0200

maliit-framework (0.80.3-1+0m5) fremantle; urgency=low

  * Move sources to upstream project

 -- Carlos Martin <cmartin@liberalia.net>  Mon, 18 Jul 2011 18:50:52 +0200

meego-im-framework (0.20.16-1+0m6) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 0.20.16-1+0m6

 -- BIFH Bot <sysint@maemo.research.nokia.com>  Mon, 23 May 2011 12:42:08 +0300

meego-im-framework (0.20.16-1) unstable; urgency=low

  * Fixes: NB#256039 - Settings layout adjustments needed

 -- Aapo Kojo <aapo.kojo@nokia.com>  Mon, 23 May 2011 12:42:07 +0300

meego-im-framework (0.20.15-1) unstable; urgency=low

  * Fixes: NB#235142
  * New API to provide information wheter plugin is enabled or not

 -- Viacheslav Sobolev <ext-viacheslav.sobolev@nokia.com>  Fri, 20 May 2011 10:24:37 +0300

meego-im-framework (0.20.14-1) unstable; urgency=low

  * Fixes: NB#242682 - Text input settings crashes during close if "Active input method" or "Installed keyboard" is being opened

 -- Csaba Kertesz <csaba.kertesz@vincit.fi>  Thu, 19 May 2011 08:52:00 +0200

meego-im-framework (0.20.13-1) unstable; urgency=low

  * Fixes: NB#255497 - the counterpart setting items should be hidden when the 3rd party plugin is disselected

 -- Aapo Kojo <aapo.kojo@nokia.com>  Wed, 18 May 2011 10:14:00 +0200

meego-im-framework (0.20.12-1) unstable; urgency=low

  * Fixes: NB#254375 - libmeegoimframework-doc does not contain any documentation

 -- Jan Arne Petersen <jpetersen@openismus.com>  Tue, 17 May 2011 11:21:00 +0300

meego-im-framework (0.20.11-1) unstable; urgency=low

  * Fixes: NB#250363 - A selection for available Input methods needed in Text input Setting

 -- Viacheslav Sobolev <ext-viacheslav.sobolev@nokia.com>  Thu, 12 May 2011 10:08:07 +0300

meego-im-framework (0.20.10-1) unstable; urgency=low

  * New release

 -- Aapo Kojo <aapo.kojo@nokia.com>  Wed, 11 May 2011 15:49:40 +0300

meego-im-framework (0.20.9-1) unstable; urgency=low

  * Fixes: NB#242682 - Text input settings crashes during close if "Active input method" or "Installed keyboard" is being opened

 -- Ning Chi <ext-chi.2.ning@nokia.com>  Mon, 09 May 2011 11:15:40 +0300

meego-im-framework (0.20.8-1) unstable; urgency=low

  * Fixes: NB#227268 - [Performance] Virtual keyboard orientation switching is too slow

 -- Ning Chi <ext-chi.2.ning@nokia.com>  Thu, 28 Apr 2011 13:27:35 +0300

meego-im-framework (0.20.7-1) unstable; urgency=low

  * Fixes: NB#241274 - VKB's self-composition breaks application UI while navigating between two MApplicationWindows
  * Fixes: SIP is open, focus is lost, immediately request SIP => SIP remains open
  * Changes: allow (non-pre-edit) cursor position to be set in pre-edit update

 -- Ning Chi <ext-chi.2.ning@nokia.com>  Wed, 06 Apr 2011 16:32:51 +0300

meego-im-framework (0.20.6-1) unstable; urgency=low

  * Fixes: NB#237663 - <Other><UnitTest> proper debug symbols not available for meego-im-framework-tests

 -- Ning Chi <ext-chi.2.ning@nokia.com>  Wed, 06 Apr 2011 14:37:04 +0300

meego-im-framework (0.20.5-1) unstable; urgency=low

  * Fixes: NB#238370 - <Safety> Invalid read reported in meego-im-uiserver valgrind logs

 -- huaming wang <huaming.wang@nokia.com>  Wed, 30 Mar 2011 10:35:01 +0300

meego-im-framework (0.20.4-1) unstable; urgency=low

  * Fixes: Rotation animation rotates to wrong orientation under high CPU load.
  * Fixes: NB#235179 - [SSU]:Error seen at 'ToolbarsManager: toolbar load error: "/usr/share/meegoimframework/imtoolbars/standard.xml" '

 -- Rakesh Cherian <ext-rakesh.cherian@nokia.com>  Wed, 24 Mar 2011 12:37:37 +0200

meego-im-framework (0.20.3-1) unstable; urgency=low

  * Fixes: NB#237804 - Unable to view the entered text in any composer

 -- Kimmo Surakka <kimmo.surakka@nokia.com>  Mon, 21 Mar 2011 11:39:00 +0200

meego-im-framework (0.20.2-1) unstable; urgency=low

  * Fixes: NB#235678 - Orientation out of sync after rotation, then switching plugins
  * Fixes: NB#235607 - Text input settings view has too large title font

 -- Ning Chi <ext-chi.2.ning@nokia.com>  Wed, 16 Mar 2011 15:37:30 +0200

meego-im-framework (0.20.1-1) unstable; urgency=low

  * Fixes: NB#231633 - [TASK] Improve Rotation Appearance of VKB

 -- Rakesh Cherian <ext-rakesh.cherian@nokia.com>  Fri, 11 Mar 2011 11:31:00 +0200

meego-im-framework (0.20.0-1) unstable; urgency=low

  * New: Remove LMT dependencies from public API

 -- Rakesh Cherian <ext-rakesh.cherian@nokia.com>  Tue, 08 Mar 2011 15:24:00 +0200



=== debian/control ===
Source: maliit-framework
Section: libs
Priority: extra
Maintainer: Marcin Mielniczuk <marmistrz@linux.pl>
XSBC-Original-Maintainer: Thomas-Karl Pietrowski <thopiekar@googlemail.com> 
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.7), libxcomposite-dev, libxfixes-dev, libxdamage-dev, libxext-dev, libdbus-glib-1-dev, libgconf2-dev, pkg-config, dpkg-dev, graphviz, doxygen
Standards-Version: 3.7.2

Package: maliit-framework
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, maliit-server (>= ${source:Version})
Recommends: maliit-inputcontext-qt4, maliit-inputcontext-gtk2, maliit-inputmethod-plugin
Description: Maliit Input Method Framework
 Maliit Input Method Framework

Package: maliit-framework-dev
Architecture: all
Section: libdevel
Depends: maliit-framework (>= ${source:Version})
Description: Maliit Input Method Framework - Development Files
 Maliit Input Method Framework

Package: maliit-server
Architecture: any
Conflicts: maliit-uiserver (<< 0.81.0)
Replaces: maliit-uiserver (<< 0.81.0)
Depends: libmaliit-plugins-quick0, ${misc:Depends}, ${shlibs:Depends}
Description: Maliit Server
 Maliit Server

Package: maliit-server-dbg
Architecture: any
Section: debug
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Maliit Server - Debug Symbols
 Maliit Server

Package: libmaliit-plugins0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Maliit C++ Input Method Plugin Interface
 Maliit C++ Input Method Plugin Interface

Package: libmaliit-plugins0-dev
Section: libdevel
Architecture: all
Depends: libmaliit-plugins0 (>= ${source:Version}), maliit-framework-dev, libqt4-dev (>= 4.7)
Description: Maliit C++ Input Method Plugin Interface - Development files
 Maliit C++ Input Method Plugin Interface

Package: libmaliit-plugins0-dbg
Section: debug
Architecture: any
Depends: libmaliit-plugins0 (= ${binary:Version})
Description: Maliit C++ Input Method Plugin Interface - Debug symbols
 Maliit C++ Input Method Plugin Interface

Package: libmaliit-plugins-quick0
Architecture: any
Conflicts: libmaliitquick0 (<< 0.81.0)
Replaces: libmaliitquick0 (<< 0.81.0)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Maliit C++ Input Method Plugin Interface
 Maliit C++ Input Method Plugin Interface

Package: libmaliit-plugins-quick0-dev
Section: libdevel
Architecture: all
Depends: libmaliit-plugins-quick0 (>= ${source:Version}), libmaliit-plugins0-dev, libqt4-dev (>= 4.7)
Description: Maliit C++ Input Method Plugin Interface - Development files
 Maliit C++ Input Method Plugin Interface

Package: libmaliit-plugins-quick0-dbg
Section: debug
Architecture: any
Depends: libmaliit-plugins-quick0 (= ${binary:Version})
Description: Maliit C++ Input Method Plugin Interface - Debug symbols
 Maliit C++ Input Method Plugin Interface

Package: maliit-inputcontext-qt4
Architecture: any
Conflicts: maliit-context (<< 0.81.0)
Replaces: maliit-context (<< 0.81.0)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Maliit input context for Qt 4 applications
 Maliit input context for Qt 4 applications

Package: maliit-inputcontext-gtk2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Maliit input context for GTK+ 2 applications
 Maliit input context for GTK+ 2 applications

Package: libmaliit1
Section: libs
Architecture: any
Conflicts: libmaliitframework0 (<< 0.81.1)
Replaces: libmaliitframework0 (<< 0.81.1)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Maliit input method extension library for Qt applications
 Maliit input method extension library for Qt applications

Package: libmaliit1-dbg
Section: debug
Architecture: any
Depends: libmaliit1 (= ${binary:Version})
Description: Maliit input method extension library for Qt applications - Debug symbols
 Maliit input method extension library for Qt applications

Package: libmaliit1-dev
Section: libdevel
Architecture: all
Depends: libmaliit1 (>= ${source:Version}), maliit-framework-dev, libqt4-dev (>= 4.7)
Description: Maliit input method extension library for Qt applications - development files
 Maliit input method extension library for Qt applications - development files

Package: maliit-framework-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Technical documentation of Maliit Input Method Framework
 Technical documentation of Maliit Input Method Framework
 Includes API reference and internal documentations.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

DEBDIR = ..

# Build options
ENABLE_MULTITOUCH = false
DEFAULT_PLUGIN = nemo-keyboard.qml
SERVER_ARGUMENTS  = "-software -use-self-composition -graphicssystem raster"

QMAKE_OPTIONS += MALIIT_SERVER_ARGUMENTS=$(SERVER_ARGUMENTS)
QMAKE_OPTIONS += M_IM_ENABLE_MULTITOUCH=$(ENABLE_MULTITOUCH)
QMAKE_OPTIONS += M_IM_DEFAULT_PLUGIN=$(DEFAULT_PLUGIN) M_IM_DEFAULT_HW_PLUGIN=""
QMAKE_OPTIONS += CONFIG+="notests nosdk"

configure: configure-stamp
configure-stamp:
	dh_testdir
	for p in debian/patches/*; do patch -t -p1 < $$p; done
	qmake -r $(QMAKE_OPTIONS)
	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	make $(PARALLEL_MAKEFLAGS)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	
	rm -f build-stamp configure-stamp

	make  $(PARALLEL_MAKEFLAGS) clean || true
	rm -f lib/*
	rm -rf .obj

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs $(EXCLUSIONS)

	# Then proceed to normal installation
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 INSTALL_ROOT=$(CURDIR)/debian/tmp make  $(PARALLEL_MAKEFLAGS) install
	# clean unused elements
	rm -rf $(CURDIR)/debian/tmp/usr/lib/maliit-framework-tests
	rm -rf $(CURDIR)/debian/tmp/usr/bin/maliit-exampleapp-*


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir $(EXCLUSIONS)
	dh_testroot $(EXCLUSIONS)
	dh_installchangelogs $(EXCLUSIONS)
	dh_installdocs $(EXCLUSIONS)
	dh_install --list-missing --fail-missing --sourcedir=debian/tmp $(EXCLUSIONS) -v
	dh_gconf $(EXCLUSIONS)
	dh_link $(EXCLUSIONS)
	dh_strip --dbg-package=libmaliit1-dbg --dbg-package=maliit-server-dbg --dbg-package=libmaliit-plugins0-dbg --dbg-package=libmaliit-plugins-quick0-dbg
	dh_compress $(EXCLUSIONS)
	dh_fixperms $(EXCLUSIONS) -X/etc/X11/Xsession.post
	dh_makeshlibs $(EXCLUSIONS)
	dh_installdeb $(EXCLUSIONS)

	# Unknown why this is needed. shlibdeps should consider this to be a private library and let it go with a warning
	LD_LIBRARY_PATH=`pwd`/debian/tmp/usr/lib/maliit/plugins-0.80/factories:$$LD_LIBRARY_PATH dh_shlibdeps $(EXCLUSIONS)
	dh_gencontrol $(EXCLUSIONS)
	dh_md5sums $(EXCLUSIONS)
	dh_builddeb --destdir=$(DEBDIR) $(EXCLUSIONS)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://sleipnir.liberalia.net/downloads/sources/maliit-framework-([0-9.git~]*).tar.gz
